<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bx_webhooks', function (Blueprint $table)
        {
            $table->id();
            $table->enum('name', [
                'CREATE_COMPANY',
                'CREATE_CONTACT',
                'CREATE_DEAL',
                'UPDATE_DEAL',
                'DEAL_SYNC'
            ]);
            $table->text('url');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bx_webhooks');
    }
};
